Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class KineticLaw

    java.lang.Object
      com.beanexplorer.beans.Option
          biouml.standard.type.KineticLaw

public class KineticLaw
extends com.beanexplorer.beans.Option

Field Summary
`protected java.lang.String` | `comment` Arbitrary comment.
`protected java.lang.String` | `formula`
`protected KineticType` | `kineticType`
`protected java.lang.String` | `substanceUnits`
`protected java.lang.String` | `timeUnits`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`KineticLaw()`
`KineticLaw(Reaction parent)`

Method Summary
`java.lang.String` | `getComment()`
`java.lang.String` | `getFormula()`
`KineticType` | `getKineticType()`
`java.lang.String` | `getSubstanceUnits()`
`java.lang.String` | `getTimeUnits()`
`void` | `setComment(java.lang.String comment)`
`void` | `setFormula(java.lang.String formula)`
`void` | `setSubstanceUnits(java.lang.String substanceUnits)`
`void` | `setTimeUnits(java.lang.String timeUnits)`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### kineticType

    protected KineticType kineticType

### formula

    protected java.lang.String formula

### timeUnits

    protected java.lang.String timeUnits

### substanceUnits

    protected java.lang.String substanceUnits

### comment

    protected java.lang.String comment

  Arbitrary comment.

Constructor Detail

### KineticLaw

    public KineticLaw()

### KineticLaw

    public KineticLaw(Reaction parent)

Method Detail

### getKineticType

    public KineticType getKineticType()

### getFormula

    public java.lang.String getFormula()

### setFormula

    public void setFormula(java.lang.String formula)

### getTimeUnits

    public java.lang.String getTimeUnits()

### setTimeUnits

    public void setTimeUnits(java.lang.String timeUnits)

### getSubstanceUnits

    public java.lang.String getSubstanceUnits()

### setSubstanceUnits

    public void setSubstanceUnits(java.lang.String substanceUnits)

### getComment

    public java.lang.String getComment()

### setComment

    public void setComment(java.lang.String comment)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.